Skip to main content
PUT
/
api
/
customer
/
{customerId}
/
crp
/
{id}
updateCRP
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/crp/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "active": true,
  "forms": {},
  "id": 123,
  "profileId": 123,
  "profileReferenceId": "<string>",
  "referenceId": "<string>",
  "roles": [
    {
      "role": "<string>",
      "appointedDate": "2023-12-25",
      "id": 123,
      "resignedDate": "2023-12-25"
    }
  ]
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/crp/{id}"

payload = {
"active": True,
"forms": {},
"id": 123,
"profileId": 123,
"profileReferenceId": "<string>",
"referenceId": "<string>",
"roles": [
{
"role": "<string>",
"appointedDate": "2023-12-25",
"id": 123,
"resignedDate": "2023-12-25"
}
]
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
active: true,
forms: {},
id: 123,
profileId: 123,
profileReferenceId: '<string>',
referenceId: '<string>',
roles: [
{
role: '<string>',
appointedDate: '2023-12-25',
id: 123,
resignedDate: '2023-12-25'
}
]
})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/crp/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "assignees": [
    {
      "email": "<string>",
      "firstName": "<string>",
      "fullName": "<string>",
      "id": 123,
      "lastName": "<string>"
    }
  ],
  "createdAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "forms": {},
  "id": 123,
  "lastRiskAssessment": "2023-11-07T05:31:56Z",
  "listRoleAsText": [
    "<string>"
  ],
  "notes": {},
  "other": {},
  "parentId": 123,
  "particular": {},
  "profileId": 123,
  "profileReferenceId": "<string>",
  "referenceId": "<string>",
  "roles": [
    {
      "appointedDate": "2023-12-25",
      "createdAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      },
      "id": 123,
      "resignedDate": "2023-12-25",
      "role": "<string>",
      "updatedAt": {
        "date": 123,
        "day": 123,
        "hours": 123,
        "minutes": 123,
        "month": 123,
        "nanos": 123,
        "seconds": 123,
        "time": 123,
        "timezoneOffset": 123,
        "year": 123
      },
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "fullName": "<string>",
        "id": 123,
        "lastName": "<string>"
      }
    }
  ],
  "updatedAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "vendorEntityGuid": "<string>",
  "vendorName": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

id
integer<int64>
required

id

Body

application/json

crpRequestDto

type
enum<string>
required
Available options:
CORPORATE,
INDIVIDUAL
active
boolean
forms
JsonNode · object
id
integer<int64>
profileId
integer<int64>
profileReferenceId
string
referenceId
string
roles
CRPRoleRequestDto · object[]

Response

OK

active
boolean
assignees
UserInfo · object[]
createdAt
Timestamp · object
createdBy
UserInfo · object
forms
JsonNode · object
id
integer<int64>
lastRiskAssessment
string<date-time>
listRoleAsText
string[]
notes
JsonNode · object
other
JsonNode · object
parentId
integer<int64>
particular
JsonNode · object
profileId
integer<int64>
profileReferenceId
string
referenceId
string
riskRating
enum<string>
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
roles
CRPRoleResponseDto · object[]
status
enum<string>
Available options:
ACCEPTED,
CLEARED,
DRAFT,
PENDING,
REJECTED,
REQUEST_CHANGES
type
enum<string>
Available options:
CORPORATE,
INDIVIDUAL
updatedAt
Timestamp · object
updatedBy
UserInfo · object
vendorEntityGuid
string
vendorName
string